LinuxQuestions.org
Visit the LQ Articles and Editorials section
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Linspire/Freespire
User Name
Password
Linspire/Freespire This Forum is for the discussion of Linspire and Freespire.

Notices

Reply
 
LinkBack Search this Thread
Old 10-10-2004, 06:38 PM   #1
sealmouth
LQ Newbie
 
Registered: Oct 2004
Location: San Jose, CA
Distribution: linspire
Posts: 2

Rep: Reputation: 0
$99 Fry's computer, can I make it run linux applications?


From time to time, I've tried to install linux, but never had hardware compatible with it.

I thought that if I bought a $99 GQC computer from Fry's then I would have a linux
compatible computer. I didn't know that linspire is what it is.

After looking at this forum, I tried to do a: apt-get upgrade

But I run into trouble as below:
------------------------------------------------------------------------------------------------------------
sealmouth:~/My Computer# apt-get install module-init-tools
Reading Package Lists... Done
Building Dependency Tree... Done
The following packages will be upgraded:
module-init-tools
1 upgraded, 0 newly installed, 0 to remove and 96 not upgraded.
Need to get 0B/82.7kB of archives.
After unpacking 90.1kB of additional disk space will be used.
(Reading database ... 46551 files and directories currently installed.)
Preparing to replace module-init-tools 0.9.11-2.0.0.45.lindows0.1.cnr1 (using .../module-init-tools_3.1-pre5-7_i386.deb) ...
dpkg-divert: `diversion of /sbin/kallsyms to /sbin/kallsyms.modutils by module-init-tools' clashes with `diversion of /sbin/kallsyms to /sbin/kallsyms.Lmodutils by module-init-tools'
dpkg: error processing /var/cache/apt/archives/module-init-tools_3.1-pre5-7_i386.deb (--unpack):
subprocess pre-installation script returned error exit status 2
Errors were encountered while processing:
/var/cache/apt/archives/module-init-tools_3.1-pre5-7_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
sealmouth:~/My Computer#
--------------------------------------------------------------------------------------------------------------

Is it pratical and possible to get linspire upgraded to the point where I can compile
and run any application that is written for linux?

When I try to compile the driver for an Airlink 1GHz Ethernet card,
I get the folllowing:


--------------------------------------------

sealmouth:~/My Computer/airlink# make
gcc -O6 -Wall -DMODULE -D__KERNEL__ -DLINUX -I /usr/src/linux-2.4.18-3/include/ -c r8169.c
In file included from /usr/include/asm/smp.h:18,
from /usr/include/linux/smp.h:17,
from /usr/include/linux/sched.h:23,
from /usr/include/linux/module.h:10,
from r8169.c:52:
/usr/include/asm/mpspec.h:6:25: mach_mpspec.h: No such file or directory
In file included from /usr/include/asm/smp.h:18,
from /usr/include/linux/smp.h:17,
from /usr/include/linux/sched.h:23,
from /usr/include/linux/module.h:10,
from r8169.c:52:
/usr/include/asm/mpspec.h:8: error: `MAX_MP_BUSSES' undeclared here (not in a function)
/usr/include/asm/mpspec.h:9: error: `MAX_MP_BUSSES' undeclared here (not in a function)
/usr/include/asm/mpspec.h:10: error: `MAX_MP_BUSSES' undeclared here (not in a function)
/usr/include/asm/mpspec.h:12: error: `MAX_MP_BUSSES' undeclared here (not in a function)
/usr/include/asm/mpspec.h:19: error: `MAX_APICS' undeclared here (not in a function)
/usr/include/asm/mpspec.h:20: error: `MAX_MP_BUSSES' undeclared here (not in a function)
/usr/include/asm/mpspec.h:20: error: conflicting types for `mp_bus_id_to_type'
/usr/include/asm/mpspec.h:8: error: previous declaration of `mp_bus_id_to_type'
/usr/include/asm/mpspec.h:22: error: `MAX_IRQ_SOURCES' undeclared here (not in a function)
/usr/include/asm/mpspec.h:24: error: `MAX_MP_BUSSES' undeclared here (not in a function)
/usr/include/asm/mpspec.h:24: error: conflicting types for `mp_bus_id_to_pci_bus'
/usr/include/asm/mpspec.h:12: error: previous declaration of `mp_bus_id_to_pci_bus'
/usr/include/asm/mpspec.h:54: error: `MAX_APICS' undeclared here (not in a function)
In file included from /usr/include/asm/smp.h:20,
from /usr/include/linux/smp.h:17,
from /usr/include/linux/sched.h:23,
from /usr/include/linux/module.h:10,
from r8169.c:52:
/usr/include/asm/io_apic.h:120: error: `MAX_IRQ_SOURCES' undeclared here (not in a function)
/usr/include/asm/io_apic.h:120: error: conflicting types for `mp_irqs'
/usr/include/asm/mpspec.h:22: error: previous declaration of `mp_irqs'
In file included from /usr/include/linux/smp.h:17,
from /usr/include/linux/sched.h:23,
from /usr/include/linux/module.h:10,
from r8169.c:52:
/usr/include/asm/smp.h:73:26: mach_apicdef.h: No such file or directory
In file included from /usr/include/linux/irq.h:20,
from /usr/include/asm/hardirq.h:6,
from /usr/include/linux/interrupt.h:11,
from /usr/include/linux/netdevice.h:489,
from r8169.c:54:
/usr/include/asm/irq.h:16:25: irq_vectors.h: No such file or directory
In file included from /usr/include/asm/hardirq.h:6,
from /usr/include/linux/interrupt.h:11,
from /usr/include/linux/netdevice.h:489,
from r8169.c:54:
/usr/include/linux/irq.h:70: error: `NR_IRQS' undeclared here (not in a function)
In file included from /usr/include/linux/irq.h:72,
from /usr/include/asm/hardirq.h:6,
from /usr/include/linux/interrupt.h:11,
from /usr/include/linux/netdevice.h:489,
from r8169.c:54:
/usr/include/asm/hw_irq.h:28: error: `NR_IRQS' undeclared here (not in a functio n)
/usr/include/asm/hw_irq.h:31: error: `NR_IRQS' undeclared here (not in a functio n)
r8169.c:383: error: conflicting types for `timer_t'
/usr/include/linux/types.h:42: error: previous declaration of `timer_t'
r8169.c: In function `rtl8169_init_one':
r8169.c:739: error: structure has no member named `driver_data'
r8169.c: In function `rtl8169_remove_one':
r8169.c:866: error: structure has no member named `driver_data'
r8169.c:880: error: structure has no member named `driver_data'
r8169.c: In function `rtl8169_open':
r8169.c:903: warning: passing arg 2 of `request_irq' from incompatible pointer t ype
r8169.c: In function `rtl8169_close':
r8169.c:1514: error: too few arguments to function `synchronize_irq'
r8169.c: In function `rtl8169_set_rx_mode':
r8169.c:1593: warning: passing arg 2 of `set_bit' from incompatible pointer type
make: *** [r8169.o] Error 1
sealmouth:~/My Computer/airlink#

----------------------------------------------------------------------------------

If I should just give up on linspire, what is the easiest linux version to
install and be compatible with the $99 GQC brand computers?

I want to run some applications from the USGS to view contour maps
of the earth and the software is in unix & linux, but not windows.

So that's why I'm trying again to get a working computer with linux that
can compile applications.


Thanks in advance,

Seal Mouth
 
Old 10-10-2004, 08:16 PM   #2
ronduncan
LQ Newbie
 
Registered: Jul 2004
Location: Humble, TX
Distribution: Linspire & M$
Posts: 6

Rep: Reputation: 0
Question Fry's $99 GQC with Linux

If you are installing Linspire 4.5, you must have a system that meets the minimum requirements for it. Linspire expects a modern powerful computer. Some Linux distros can run on older less powerful systmes. The $99 GQC may be too old and/or underpowered for a Linspire installation. Do you know the processor speed and type, amount of RAM, and hard drive capacity? What Linux distro and version was installed on the computer when you bought it? On the other hand, the problem you encountered might be in the installation method.

Comment: I have not yet read any of the postings on using apt-get to install Linspire, if there are such. I only know that Linspire is generally installed via it's own bootable install disk and the applications are generally installed using the Linspire proprietaery Click 'N' Run system. So, I wonder if they have altered the OS so that it is not fully compatible with apt-get.
 
Old 10-10-2004, 09:13 PM   #3
sealmouth
LQ Newbie
 
Registered: Oct 2004
Location: San Jose, CA
Distribution: linspire
Posts: 2

Original Poster
Rep: Reputation: 0
The $99 GQC brand computer come with linspire already
installed on it. For the recent sale, the GQC has an AMD
XP 1.8GHz, 128Mbyte DDR 2700 RAM, etc. It's a decent
computer.

The questions I have is how can I install any unix/linux
applications on a linspire computer, can I modify linspire
to be able to do so, or just give up and try another variety
of linux, and which one.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Partition my computer to run Linux hernan Linux - Newbie 3 01-27-2005 03:03 AM
Can i run Windows and linux on the Same computer, and how? (NO LINUX EXPERIENCE) blackgiroro Linux - Newbie 15 12-15-2004 04:57 PM
How do I run Linux and Windows on the same computer? arctic123 Linux - General 18 10-22-2004 08:57 PM
Fry's Electronics selling Linux PC's jpweston Linux - General 7 03-24-2003 11:25 AM
Will Linux run on this computer??? system Linux - General 5 12-25-2001 12:03 PM


All times are GMT -5. The time now is 02:58 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration